classification
Title: os.path.join.__doc__ should mention absolute paths
Type: Stage:
Components: Documentation Versions: Python 2.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: collinwinter, georg.brandl, zdes
Priority: normal Keywords:

Created on 2007-03-26 17:12 by zdes, last changed 2007-08-23 21:28 by georg.brandl. This issue is now closed.

Messages (3)
msg31656 - (view) Author: Eugene Kramer (zdes) Date: 2007-03-26 17:12
Currently, automatically generated docs from os.path.join do not mention that all paths prior to the last absolute path are discarded.

The __doc__ says:
"Join two or more pathname components, inserting '/' as needed"

From this documentation, it is not obvious that os.path.join("abc", "/cde", "fgh") results in "/cde/fgh".
msg31657 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2007-03-28 21:48
"""Join two or more pathname components, inserting '/' as needed. If any component is an absolute path, all previous path components will be discarded."""

Does that work for you? Could you come up with language that you'd prefer to see?
msg55220 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-08-23 21:28
Fixed in rev. 57353.
History
Date User Action Args
2007-08-23 21:28:06georg.brandlsetstatus: open -> closed
nosy: + georg.brandl
resolution: fixed
messages: + msg55220
2007-03-26 17:12:31zdescreate